quasicrystal(6x)

NAME
quasicrystal - aperiodic plane tilings.

SYNOPSIS
quasicrystal [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--speed number] [--count number] [--contrast percent] [--no-wander] [--no-spin] [--asymmetric] [--fps]

DESCRIPTION
A quasicrystal is a structure that is ordered but aperiodic. Two-dimensional quasicrystals can be generated by adding a set of planes where x is the sine of y. Different complex aperiodic plane tilings are produced depending on the period, position, and rotation of the component planes, and whether the rotation of the planes is evenly distributed around the circle (the "symmetric" option, above) or random. See also the "RD-Bomb", "CWaves" and "Penrose" screen savers.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

--speed number
    Animation speed. 2 for twice as fast, 0.5 for half as fast.

--contrast contrast
    Contrast. Sort of. Default 30%.

--count number
    How many planes to use. Default 17.

--wander | --no-wander
    Whether the planes should displace horizontally and vertically.

--spin | --no-spin
    Whether the planes should rotate.

--asymmetric
    Allow each plane to rotate freely instead of being constrained to an even distribution around the circle.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2013 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.